summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Charles Daniels2020-01-12 16:25:16 +0100
committer Willy Sudiarto Raharjo2020-01-12 16:25:16 +0100
commit885f7e0b86afe6a76921e046dd12c41041a0cb1d (patch)
treed6e72d5803d4f4e50344e40ed5c157f10b855618 /graphics
parentba14d4c733eec4d0ccdd4783e0ec3eb9a4c35317 (diff)
downloadslackbuilds-885f7e0b86afe6a76921e046dd12c41041a0cb1d.tar.gz
graphics/ipe: Added (The Ipe extensible drawing editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/ipe/README16
-rw-r--r--graphics/ipe/doinst.sh7
-rw-r--r--graphics/ipe/ipe.SlackBuild92
-rw-r--r--graphics/ipe/ipe.info10
-rw-r--r--graphics/ipe/slack-desc19
5 files changed, 144 insertions, 0 deletions
diff --git a/graphics/ipe/README b/graphics/ipe/README
new file mode 100644
index 0000000000..6c4c981f62
--- /dev/null
+++ b/graphics/ipe/README
@@ -0,0 +1,16 @@
+Ipe is a drawing editor for creating figures in PDF format. It supports
+making small figures for inclusion into LaTeX-documents as well as
+making multi-page PDF presentations.
+
+Ipe's main features are:
+* Entry of text as LaTeX source code. This makes it easy to enter
+ mathematical expressions, and to reuse the LaTeX-macros of the main
+ document. In the display text is displayed as it will appear in the
+ figure.
+* Produces pure PDF, including the text. Ipe converts the LaTeX-source
+ to PDF when the file is saved.
+* It is easy to align objects with respect to each other (for instance,
+ to place a point on the intersection of two lines, or to draw a circle
+ through three given points) using various snapping modes.
+* Users can provide ipelets (Ipe plug-ins) to add functionality to Ipe.
+ This way, Ipe can be extended for each task at hand.
diff --git a/graphics/ipe/doinst.sh b/graphics/ipe/doinst.sh
new file mode 100644
index 0000000000..9a8ded3c60
--- /dev/null
+++ b/graphics/ipe/doinst.sh
@@ -0,0 +1,7 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
diff --git a/graphics/ipe/ipe.SlackBuild b/graphics/ipe/ipe.SlackBuild
new file mode 100644
index 0000000000..679ca9e1c5
--- /dev/null
+++ b/graphics/ipe/ipe.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for ipe
+
+# Copyright 2020 Charles Daniels, United States
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ipe
+VERSION=${VERSION:-7.2.13}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+QT_SELECT=5 make -C src IPEPREFIX="$PKG/usr/" IPEMANDIR="$PKG/usr/man/man1" MOC=moc-qt5
+QT_SELECT=5 make -C src install IPEPREFIX="$PKG/usr/" IPEMANDIR="$PKG/usr/man/man1" MOC=moc-qt5
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ gpl.txt install.txt macos.txt news.txt readme.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/ipe/ipe.info b/graphics/ipe/ipe.info
new file mode 100644
index 0000000000..624849a9b4
--- /dev/null
+++ b/graphics/ipe/ipe.info
@@ -0,0 +1,10 @@
+PRGNAM="ipe"
+VERSION="7.2.13"
+HOMEPAGE="http://ipe.otfried.org/"
+DOWNLOAD="https://dl.bintray.com/otfried/generic/ipe/7.2/ipe-7.2.13-src.tar.gz"
+MD5SUM="2653159b975ac83890f70095200f0658"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lua53 qt5"
+MAINTAINER="Charles Daniels"
+EMAIL="charles@cdaniels.net"
diff --git a/graphics/ipe/slack-desc b/graphics/ipe/slack-desc
new file mode 100644
index 0000000000..379413276f
--- /dev/null
+++ b/graphics/ipe/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ipe: ipe (The Ipe extensible drawing editor)
+ipe:
+ipe: Ipe is a drawing editor for creating figures in PDF format. It supports
+ipe: making small figures for inclusion into LaTeX-documents as well as
+ipe: making multi-page PDF presentations.
+ipe:
+ipe: Homepage: http://ipe.otfried.org/
+ipe:
+ipe:
+ipe:
+ipe: